Vulnerability   
Search   
    Search 219043 CVE descriptions
and 99761 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

CVE ID:CVE-2020-8165
Description:A deserialization of untrusted data vulnernerability exists in rails < 5.2.4.3, rails < 6.0.3.1 that can allow an attacker to unmarshal user- provided objects in MemCacheStore and RedisCacheStore potentially resulting in an RCE.
Test IDs: 1.3.6.1.4.1.25623.1.0.892251   1.3.6.1.4.1.25623.1.0.892282   1.3.6.1.4.1.25623.1.0.853499   1.3.6.1.4.1.25623.1.0.853496  
Cross References: Common Vulnerability Exposure (CVE) ID: CVE-2020-8165
Debian Security Information: DSA-4766 (Google Search)
https://www.debian.org/security/2020/dsa-4766
https://groups.google.com/g/rubyonrails-security/c/bv6fW4S0Y1c
https://groups.google.com/g/rubyonrails-security/c/bv6fW4S0Y1c
https://hackerone.com/reports/413388
https://hackerone.com/reports/413388
https://lists.debian.org/debian-lts-announce/2020/06/msg00022.html
https://lists.debian.org/debian-lts-announce/2020/07/msg00013.html
SuSE Security Announcement: openSUSE-SU-2020:1677 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2020-10/msg00031.html
SuSE Security Announcement: openSUSE-SU-2020:1679 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2020-10/msg00034.html




© 1998-2021 E-Soft Inc. All rights reserved.